/*******************************************************************************
 * FoxHudMiniGameBase generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxHudMiniGameBase extends GFxObject within GFxMoviePlayer
    abstract
    native(HUD);

var FoxPC PCOwner;
var const string symbolname;
var transient FoxGameObject_Use UseObject;
var const bool bPushHudBackWhenOpen;
var protected const bool bResetInputWhenOpened;
var protected const bool bResetHRVWhenOpened;
var protected const FoxTypes.ESpecialMove PawnSpecialMove;
var const AkEvent StartGameAkEvent;
var const AkEvent CorrectAkEvent;
var const AkEvent IncorrectAkEvent;
var const AkEvent AdvanceAkEvent;
var const AkEvent FailAkEvent;
var const AkEvent SuccessAkEvent;
var const AkEvent SelectGameAkEvent;

function Initialize()
{
    // End:0x53
    if(PawnSpecialMove != 0)
    {
        PCOwner.MyFoxPawn.DoSpecialMove(PawnSpecialMove, true, false);
    }
    // End:0x94
    if(bResetInputWhenOpened)
    {
        PCOwner.PlayerInput.ResetInput();
    }
    // End:0xD0
    if(SelectGameAkEvent != none)
    {
        PCOwner.PlayAkEvent(SelectGameAkEvent);
    }
    //return;    
}

function ShutDown()
{
    PCOwner.DynamicUI.HUD.Minigame = none;
    //return;    
}

event CancelMinigame()
{
    // End:0x3C
    if(FailAkEvent != none)
    {
        PCOwner.PlayAkEvent(FailAkEvent);
    }
    // End:0xAF
    if((PCOwner != none) && PCOwner.MyFoxPawn != none)
    {
        PCOwner.MyFoxPawn.CancelUseMinigame(UseObject);
    }
    ShutDown();
    //return;    
}

event MinigameSuccess()
{
    // End:0x3C
    if(SuccessAkEvent != none)
    {
        PCOwner.PlayAkEvent(SuccessAkEvent);
    }
    PCOwner.MyFoxPawn.CompleteUseMinigame(UseObject, true);
    ShutDown();
    //return;    
}

event MinigameFail()
{
    // End:0x3C
    if(FailAkEvent != none)
    {
        PCOwner.PlayAkEvent(FailAkEvent);
    }
    ShutDown();
    PCOwner.MyFoxPawn.CompleteUseMinigame(UseObject, false);
    //return;    
}

function PlayInterfaceAnim(const out WeaponAnimSet Set)
{
    // End:0x9D
    if(PCOwner.MyFoxPawn != none)
    {
        PCOwner.MyFoxPawn.PlayFirstPersonCustomAnim(Set.FP_Anim, Set.RateMultiplier, 0.150, 0.0, false, true);
    }
    //return;    
}

event bool ShouldHideCrosshairs()
{
    return true;
    //return ReturnValue;    
}
